# 彩虹溯源H5页面



### 安装

```javascript
npm install
```

### 开发

```javascript
npm start
```

### 打包

```javascript
npm run build
```



### 关于打包

``scripts/build.js`` 用于打包，通过第二个config参数配置不同的环境，例如alpha或beta环境。Vue、Vue-Router和Vuex是通过cdn的方式引入的，因为Vue是其他插件的前提，所以需要在webpack配置的externals里成名；对于ESLint检测，需要在配置文件的globals声明全局变量。

打包后的环境变量的env.API_URL为对象，用于方便按请求切换API接口地址。



此项目引用了vant的toast和image-preview组件（按需），``src/components/common`` 目录为公共组件，目前只有视频组件；接口调用通过store的actions，在路由守卫中触发；代码检测使用[standard](https://standardjs.com/)，在规则里特别写入了对象、数据或参数等最后一行的逗号必须写，如有个人习惯请删除规则。浏览器兼容列表、babel的配置、postcss的配置都在根目录下。